// Copyright (C) 2025 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#include "qohosqpafunctions_p.h"
#include <QtCore/private/qcore_ohos_p.h>

namespace QtOhos {

QOhosQpaFunctions::QOhosQpaFunctions() = default;

QOhosQpaFunctions::~QOhosQpaFunctions() = default;

QOhosQpaFunctions::WantInfo::WantInfo() = default;

QOhosQpaFunctions::WantInfo::~WantInfo() = default;

QOhosQpaFunctions &getQOhosQpaFunctions()
{
    return QtOhos::getQtState().qpaFunctions();
}

}
